.custom-control {
  position: relative;
  display: block;
  min-height: 1.5rem;
  padding-left: 1.5rem; }

.custom-control-inline {
  display: inline-flex;
  margin-right: 1rem; }

.custom-control-input {
  position: absolute;
  z-index: -1;
  opacity: 0; }
  .custom-control-input:checked ~ .custom-control-label::before {
    color: #fff;
    border-color: #3073bb;
    background-color: #3073bb; }
  .custom-control-input:focus ~ .custom-control-label::before {
    box-shadow: 0 0 0 0.2rem rgba(48, 115, 187, 0.25); }
  .custom-control-input:focus:not(:checked) ~ .custom-control-label::before {
    border-color: #8ab4e1; }
  .custom-control-input:not(:disabled):active ~ .custom-control-label::before {
    color: #fff;
    background-color: #b2ceeb;
    border-color: #b2ceeb; }
  .custom-control-input:disabled ~ .custom-control-label {
    color: #6f7780; }
    .custom-control-input:disabled ~ .custom-control-label::before {
      background-color: #e9ecef; }

.custom-control-label {
  position: relative;
  margin-bottom: 0;
  vertical-align: top; }
  .custom-control-label::before {
    position: absolute;
    top: 0.25rem;
    left: -1.5rem;
    display: block;
    width: 1rem;
    height: 1rem;
    pointer-events: none;
    content: "";
    background-color: #fff;
    border: #adb5bd solid 1px; }
  .custom-control-label::after {
    position: absolute;
    top: 0.25rem;
    left: -1.5rem;
    display: block;
    width: 1rem;
    height: 1rem;
    content: "";
    background: no-repeat 50% / 50% 50%; }

.custom-checkbox .custom-control-input:checked ~ .custom-control-label::after {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%23fff' d='M6.564.75l-3.59 3.612-1.538-1.55L0 4.26 2.974 7.25 8 2.193z'/%3e%3c/svg%3e"); }

.custom-checkbox .custom-control-input:indeterminate ~ .custom-control-label::before {
  border-color: #3073bb;
  background-color: #3073bb; }

.custom-checkbox .custom-control-input:indeterminate ~ .custom-control-label::after {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 4 4'%3e%3cpath stroke='%23fff' d='M0 2h4'/%3e%3c/svg%3e"); }

.custom-checkbox .custom-control-input:disabled:checked ~ .custom-control-label::before {
  background-color: rgba(48, 115, 187, 0.5); }

.custom-checkbox .custom-control-input:disabled:indeterminate ~ .custom-control-label::before {
  background-color: rgba(48, 115, 187, 0.5); }

.custom-radio .custom-control-label::before {
  border-radius: 50%; }

.custom-radio .custom-control-input:checked ~ .custom-control-label::after {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23fff'/%3e%3c/svg%3e"); }

.custom-radio .custom-control-input:disabled:checked ~ .custom-control-label::before {
  background-color: rgba(48, 115, 187, 0.5); }

.custom-switch {
  padding-left: 2.25rem; }
  .custom-switch .custom-control-label::before {
    left: -2.25rem;
    width: 1.75rem;
    pointer-events: all;
    border-radius: 0.5rem; }
  .custom-switch .custom-control-label::after {
    top: calc(0.25rem + 2px);
    left: calc(-2.25rem + 2px);
    width: calc(1rem - 4px);
    height: calc(1rem - 4px);
    background-color: #adb5bd;
    border-radius: 0.5rem;
    transition: background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, -webkit-transform 0.15s ease-in-out;
    transition: transform 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    transition: transform 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, -webkit-transform 0.15s ease-in-out; }
    @media (prefers-reduced-motion: reduce) {
      .custom-switch .custom-control-label::after {
        transition: none; } }
  .custom-switch .custom-control-input:checked ~ .custom-control-label::after {
    background-color: #fff;
    -webkit-transform: translateX(0.75rem);
            transform: translateX(0.75rem); }
  .custom-switch .custom-control-input:disabled:checked ~ .custom-control-label::before {
    background-color: rgba(48, 115, 187, 0.5); }

.custom-select {
  display: inline-block;
  width: 100%;
  height: calc(1.5em + 1.2rem + 2px);
  padding: 0.6rem 2rem 0.6rem 1rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #495057;
  vertical-align: middle;
  background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 4 5'%3e%3cpath fill='%23343a40' d='M2 0L0 2h4zm0 5L0 3h4z'/%3e%3c/svg%3e") no-repeat right 1rem center/8px 10px;
  background-color: var(--white-offset);
  border: 1px solid #ced4da;
  border-radius: 0;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none; }
  .custom-select:focus {
    border-color: #8ab4e1;
    outline: 0;
    box-shadow: 0 0 0 0.2rem rgba(48, 115, 187, 0.25); }
    .custom-select:focus::-ms-value {
      color: #495057;
      background-color: #fff; }
  .custom-select[multiple], .custom-select[size]:not([size="1"]) {
    height: auto;
    padding-right: 1rem;
    background-image: none; }
  .custom-select:disabled {
    color: #6f7780;
    background-color: #e9ecef; }
  .custom-select::-ms-expand {
    display: none; }

.custom-select-sm {
  height: calc(1.5em + 0.5rem + 2px);
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
  padding-left: 0.5rem;
  font-size: 0.8rem; }

.custom-select-lg {
  height: calc(1.5em + 1rem + 2px);
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  padding-left: 1rem;
  font-size: 1.25rem; }

.custom-file {
  position: relative;
  display: inline-block;
  width: 100%;
  height: calc(1.5em + 1.2rem + 2px);
  margin-bottom: 0; }

.custom-file-input {
  position: relative;
  z-index: 2;
  width: 100%;
  height: calc(1.5em + 1.2rem + 2px);
  margin: 0;
  opacity: 0; }
  .custom-file-input:focus ~ .custom-file-label {
    border-color: #8ab4e1;
    box-shadow: 0 0 0 0.2rem rgba(48, 115, 187, 0.25); }
  .custom-file-input:disabled ~ .custom-file-label {
    background-color: #e9ecef; }
  .custom-file-input:lang(en) ~ .custom-file-label::after {
    content: "Browse"; }
  .custom-file-input ~ .custom-file-label[data-browse]::after {
    content: attr(data-browse); }

.custom-file-label {
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  z-index: 1;
  height: calc(1.5em + 1.2rem + 2px);
  padding: 0.6rem 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #495057;
  background-color: #fff;
  border: 1px solid #ced4da; }
  .custom-file-label::after {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    z-index: 3;
    display: block;
    height: calc(1.5em + 1.2rem);
    padding: 0.6rem 1rem;
    line-height: 1.5;
    color: #495057;
    content: "Browse";
    background-color: var(--primary);
    border-left: inherit; }

.custom-range {
  width: 100%;
  height: calc(1rem + 0.4rem);
  padding: 0;
  background-color: transparent;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none; }
  .custom-range:focus {
    outline: none; }
    .custom-range:focus::-webkit-slider-thumb {
      box-shadow: 0 0 0 1px #fff, 0 0 0 0.2rem rgba(48, 115, 187, 0.25); }
    .custom-range:focus::-moz-range-thumb {
      box-shadow: 0 0 0 1px #fff, 0 0 0 0.2rem rgba(48, 115, 187, 0.25); }
    .custom-range:focus::-ms-thumb {
      box-shadow: 0 0 0 1px #fff, 0 0 0 0.2rem rgba(48, 115, 187, 0.25); }
  .custom-range::-moz-focus-outer {
    border: 0; }
  .custom-range::-webkit-slider-thumb {
    width: 1rem;
    height: 1rem;
    margin-top: -0.25rem;
    background-color: #3073bb;
    border: 0;
    transition: background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    -webkit-appearance: none;
            appearance: none; }
    @media (prefers-reduced-motion: reduce) {
      .custom-range::-webkit-slider-thumb {
        transition: none; } }
    .custom-range::-webkit-slider-thumb:active {
      background-color: #b2ceeb; }
  .custom-range::-webkit-slider-runnable-track {
    width: 100%;
    height: 0.5rem;
    color: transparent;
    cursor: pointer;
    background-color: #dee2e6;
    border-color: transparent; }
  .custom-range::-moz-range-thumb {
    width: 1rem;
    height: 1rem;
    background-color: #3073bb;
    border: 0;
    transition: background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    -moz-appearance: none;
         appearance: none; }
    @media (prefers-reduced-motion: reduce) {
      .custom-range::-moz-range-thumb {
        transition: none; } }
    .custom-range::-moz-range-thumb:active {
      background-color: #b2ceeb; }
  .custom-range::-moz-range-track {
    width: 100%;
    height: 0.5rem;
    color: transparent;
    cursor: pointer;
    background-color: #dee2e6;
    border-color: transparent; }
  .custom-range::-ms-thumb {
    width: 1rem;
    height: 1rem;
    margin-top: 0;
    margin-right: 0.2rem;
    margin-left: 0.2rem;
    background-color: #3073bb;
    border: 0;
    transition: background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    appearance: none; }
    @media (prefers-reduced-motion: reduce) {
      .custom-range::-ms-thumb {
        transition: none; } }
    .custom-range::-ms-thumb:active {
      background-color: #b2ceeb; }
  .custom-range::-ms-track {
    width: 100%;
    height: 0.5rem;
    color: transparent;
    cursor: pointer;
    background-color: transparent;
    border-color: transparent;
    border-width: 0.5rem; }
  .custom-range::-ms-fill-lower {
    background-color: #dee2e6; }
  .custom-range::-ms-fill-upper {
    margin-right: 15px;
    background-color: #dee2e6; }
  .custom-range:disabled::-webkit-slider-thumb {
    background-color: #adb5bd; }
  .custom-range:disabled::-webkit-slider-runnable-track {
    cursor: default; }
  .custom-range:disabled::-moz-range-thumb {
    background-color: #adb5bd; }
  .custom-range:disabled::-moz-range-track {
    cursor: default; }
  .custom-range:disabled::-ms-thumb {
    background-color: #adb5bd; }

.custom-control-label::before,
.custom-file-label,
.custom-select {
  transition: background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out; }
  @media (prefers-reduced-motion: reduce) {
    .custom-control-label::before,
    .custom-file-label,
    .custom-select {
      transition: none; } }

/* Bootstrap alert mapping */
.alert-message {
  background-color: #2f7d32;
  border-color: #2f7d32;
  border-left: 10px solid #2f7d32;
  color: #e9ecef; }
  .alert-message hr {
    border-top-color: #286a2b; }
  .alert-message .alert-link {
    color: #215823; }

.minicolors-theme-bootstrap .minicolors-swatch {
  top: 50%;
  left: 8px;
  border-radius: 0;
  -webkit-transform: translateY(-50%);
          transform: translateY(-50%); }

html,
body {
  height: 100%;
  font-size: 15px; }

body {
  padding: 0;
  margin: 0; }

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: 700; }

h1 {
  font-weight: 400; }

small,
.small {
  font-size: 0.8rem; }

legend {
  font-size: 1.2rem;
  font-weight: 700; }

.js-focus-visible :focus:not(.focus-visible) {
  outline: none; }

a:focus, a:-moz-focusring,
button:focus,
button:-moz-focusring,
input:focus,
input:-moz-focusring,
textarea:focus,
textarea:-moz-focusring {
  outline: auto 2px var(--focus); }

.break-word {
  word-break: break-all;
  word-wrap: break-word; }

.j-main-container .alert {
  margin: 10px; }

.notify-alerts {
  position: fixed;
  top: 15px;
  left: 50%;
  z-index: 1080;
  margin-left: 125px;
  transition: all .5s ease;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%); }
  .notify-alerts .alert {
    width: 100%;
    min-width: 280px;
    max-width: 400px;
    margin-bottom: .5rem;
    opacity: 0;
    -webkit-animation: fadeIn ease-in 1;
            animation: fadeIn ease-in 1;
    -webkit-animation-duration: .35s;
            animation-duration: .35s;
    -webkit-animation-delay: 0s;
            animation-delay: 0s;
    -webkit-animation-fill-mode: forwards;
            animation-fill-mode: forwards; }
    .notify-alerts .alert:first-of-type {
      -webkit-animation-delay: .3s;
              animation-delay: .3s; }
  .notify-alerts.fullWidth {
    left: 265px; }
    .notify-alerts.fullWidth .alert {
      width: auto;
      min-width: none;
      max-width: none;
      margin-left: 0; }
  .notify-alerts .close {
    position: relative;
    right: -.5rem;
    padding: .5rem;
    line-height: 1rem;
    color: #000;
    opacity: 1; }

.closed .notify-alerts {
  margin-left: 0; }

.closed + .notify-alerts.fullWidth {
  left: 70px; }

.wrapper0 .notify-alerts {
  margin-left: 0; }

@-webkit-keyframes fadeIn {
  from {
    opacity: 0;
    -webkit-transform: translateY(-15px);
            transform: translateY(-15px); }
  to {
    opacity: 1;
    -webkit-transform: translateY(0);
            transform: translateY(0); } }

@keyframes fadeIn {
  from {
    opacity: 0;
    -webkit-transform: translateY(-15px);
            transform: translateY(-15px); }
  to {
    opacity: 1;
    -webkit-transform: translateY(0);
            transform: translateY(0); } }

.form-control {
  max-width: 240px;
  background-color: var(--white-offset); }

.control-group {
  margin-bottom: 18px; }
  .control-group > .form-check {
    display: inline-block; }
  .control-group::after {
    display: table;
    clear: both;
    content: ""; }
  .control-group .control-label {
    float: left;
    width: 220px;
    padding-top: 5px;
    padding-right: 5px;
    text-align: left; }
  .control-group .controls {
    margin-left: 220px; }

.form-no-margin .control-group .controls {
  margin-left: 0; }

.form-no-margin .control-group .control-label {
  float: none; }

.custom-select {
  max-width: 240px; }

.spacer hr {
  width: 380px; }

.spacer label {
  width: 440px; }

td .form-control {
  display: inline-block;
  width: auto; }

legend {
  margin-bottom: 1.1rem;
  font-size: 1rem;
  font-weight: 400; }

.checkboxes {
  padding-top: 5px; }
  .checkboxes .checkbox input {
    position: static;
    margin-left: 0; }

.form-check {
  padding-top: 5px;
  margin-bottom: 0; }

.modal label {
  width: 100%; }

.invalid {
  color: #c52827;
  border-color: #c52827; }

.valid {
  border-color: #2f7d32; }

.form-control-feedback {
  display: block; }

[aria-grabbed='true'] {
  box-shadow: 0 0 2px 1px #3073bb; }

.header {
  position: relative;
  background: #fff;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.25); }
  .header .logo {
    display: inline-block;
    width: 48px;
    line-height: 55px;
    text-align: center; }
  .header .page-title {
    margin: 0 5px;
    font-size: 1.2rem;
    line-height: 55px;
    color: var(--primary-dark); }
    .header .page-title [class^='icon-'] {
      margin-right: 10px; }
  .header .nav-link {
    position: relative;
    padding: 0;
    line-height: 55px; }
    .header .nav-link .fa {
      width: 57px;
      font-size: 1.2rem;
      color: var(--primary-dark);
      vertical-align: middle;
      transition: all .2s ease-in-out; }
    .header .nav-link .badge {
      position: absolute;
      top: 7px;
      right: 7px; }
    .header .nav-link.dropdown-toggle::after {
      display: none; }
    .header .nav-link:hover .fa {
      font-size: 1.3rem;
      transition: all .2s ease-in-out; }
  .header .dropdown-menu {
    min-width: 280px;
    padding: 0;
    z-index: 1041; }
    .header .dropdown-menu h2 {
      font-size: 0.9286rem; }
  .header .dropdown-item:hover, .header .dropdown-item:focus {
    color: var(--primary-dark); }
  .header .dropdown-menu::after {
    left: .65rem; }
  .header .dropdown-menu-right::after {
    right: .65rem;
    left: auto; }
  .header .header-profile .dropdown-menu {
    padding-top: 0; }
    .header .header-profile .dropdown-menu::after {
      color: var(--main-bg); }
  .header .dropdown-header {
    padding-top: .5rem;
    padding-bottom: .5rem;
    color: #fff;
    background-color: var(--primary-dark);
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.25); }
  .header .list-group-item-text:last-child {
    margin-bottom: 0; }
  .header .joomla-version {
    margin-right: .9rem;
    margin-bottom: 0;
    font-size: 0.9286rem;
    color: var(--primary-dark); }

@media (max-width: 991.98px) {
  .header {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    width: 100%; }
    .header > div {
      flex-direction: column; } }

@media (max-width: 767.98px) {
  .header .header-items {
    flex-direction: column; } }

.icon-back::before {
  content: "\e008"; }

.icon-crop::before {
  content: "\f125"; }

.icon-white {
  color: #fff; }

.icon-publish {
  color: #2f7d32; }
  .dropdown-status-group .icon-publish {
    color: inherit; }

.icon-unpublish {
  color: #c52827; }
  .dropdown-status-group .icon-unpublish {
    color: inherit; }

.tbody-icon {
  padding: 0 3px;
  text-align: center;
  background-color: transparent;
  border: 0; }
  .tbody-icon [class^='icon-'],
  .tbody-icon [class*=' icon-'] {
    width: 26px;
    height: 26px;
    font-size: 1rem;
    line-height: 22px;
    color: #ccc;
    border: 2px solid var(--border);
    border-radius: 50%; }
  .tbody-icon .icon-publish {
    color: var(--success);
    border-color: var(--success); }
  .tbody-icon .icon-featured {
    color: var(--primary);
    border-color: var(--primary); }
  .tbody-icon .icon-archive {
    color: #495057;
    border-color: #495057; }
  .tbody-icon .icon-checkedout {
    width: auto;
    height: auto;
    font-size: 1.2rem;
    line-height: 1rem;
    color: #495057;
    border: 0; }

iframe {
  border: 0; }

.modal iframe {
  width: 100%; }

.page-link.active {
  padding: 0; }
  .page-link.active.current {
    padding: .5rem .75rem;
    color: #999;
    background-color: #dee2e6; }
  .page-link.active a {
    padding: .5rem .75rem;
    line-height: 2.25; }

.page-link.disabled {
  color: #999; }
  .page-link.disabled:hover {
    background: transparent; }

.view-login {
  background: var(--primary);
  /**
   * Note IDE's will consider this file import to fail in SCSS but this is correct for the final
   * compiled CSS file
   */
  background-image: url("../images/joomla-pattern.svg");
  background-size: 200px; }
  .view-login .login-bg-grad {
    position: fixed;
    z-index: -1;
    width: 100vw;
    height: 100vh;
    background-image: linear-gradient(45deg, rgba(43, 92, 145, 0.9) 30%, rgba(59, 151, 249, 0.2) 100%); }
  .view-login .login-initial {
    display: none; }
  .view-login .login-logo {
    width: 200px;
    margin: 0 auto 2rem;
    text-align: center; }
    @media (max-width: 767.98px) {
      .view-login .login-logo {
        margin: 1rem 0; } }
  .view-login .login {
    width: 410px; }
    @media (max-width: 767.98px) {
      .view-login .login {
        padding: 0 15px; } }
  .view-login .login-box {
    background: var(--login-main-bg);
    box-shadow: 0 0 20px var(--primary-dark); }
    .view-login .login-box a {
      color: #fff; }
  .view-login .form-group label {
    display: flex;
    align-items: flex-end;
    justify-content: space-between; }
    .view-login .form-group label span {
      font-size: .9rem;
      color: var(--form-link-feedback); }
  .view-login h1 {
    margin: 0;
    text-align: center; }
  @media (max-width: 575.98px) {
    .view-login .btn {
      padding: 8px 10px;
      font-size: 14px; } }
  .view-login .form-control,
  .view-login .custom-select {
    max-width: none; }

.modal .btn {
  margin-right: .5rem; }

.modal .btn-primary:not([href]),
.modal .btn-success:not([href]),
.modal .btn-secondary:not([href]) {
  color: var(--white); }
  .modal .btn-primary:not([href]):hover,
  .modal .btn-success:not([href]):hover,
  .modal .btn-secondary:not([href]):hover {
    color: var(--white); }

.modal-header {
  padding: 0 15px; }
  .modal-header .close {
    width: 46px;
    height: 46px;
    margin-top: 0;
    margin-right: -15px;
    font-size: 2rem;
    line-height: 1rem;
    border-left: 1px solid var(--border); }

.modal-body {
  overflow-y: auto; }

.modal-title {
  font-weight: 400;
  line-height: 46px; }

.contentpane {
  padding: 15px; }

.changelog {
  text-align: left !important; }
  .changelog__item {
    display: flex;
    border-bottom: 1px solid var(--table-border); }
    @media (max-width: 767.98px) {
      .changelog__item {
        flex-direction: column; } }
  .changelog__tag {
    flex: 1 0 180px;
    max-width: 180px;
    padding: 10px 15px;
    background: #f1f3f5;
    border-right: 1px solid var(--table-border);
    text-align: right; }
    .changelog__tag .badge {
      border-radius: .2rem; }
      .changelog__tag .badge.badge-jlanguage {
        background-color: #fff; }
    @media (max-width: 767.98px) {
      .changelog__tag {
        flex: 1 0 auto;
        max-width: 100%;
        text-align: left;
        border-right: 0;
        border-bottom: 1px solid var(--table-border); } }
  .changelog__list {
    padding: 10px 15px; }
    .changelog__list ul {
      padding-left: 15px;
      margin-bottom: 0; }
    .changelog__list li {
      margin-bottom: .15rem; }
      .changelog__list li:last-of-type {
        margin-bottom: 0; }

.quick-icons ul {
  display: inline;
  list-style: none; }

.quick-icons li {
  float: left; }

.quick-icons a {
  display: inline-flex;
  flex-direction: column;
  width: 140px;
  height: 120px;
  margin-right: 15px;
  margin-bottom: 15px;
  color: var(--primary-dark);
  text-align: center;
  background: var(--white);
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.25);
  transition: all .25s ease; }
  .quick-icons a > div {
    flex: 1 0 0; }
  .quick-icons a:hover, .quick-icons a:hover, .quick-icons a:focus {
    text-decoration: none;
    box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.3); }
  .quick-icons a .j-links-link {
    display: block;
    width: 100%;
    padding: 0 1rem;
    font-size: 1rem;
    line-height: 1.1; }
  .quick-icons a .fa {
    margin: 5px auto 0;
    font-size: 2.5rem; }
  .quick-icons a.warning {
    color: var(--warning);
    box-shadow: 0 0 3px 0 var(--warning); }
  .quick-icons a.danger {
    color: var(--danger);
    box-shadow: 0 0 3px 0 var(--danger); }
  .quick-icons a.success {
    color: var(--success);
    box-shadow: 0 0 3px 0 var(--success); }

.js-stools {
  position: relative;
  display: flex;
  justify-content: flex-end;
  padding: 5px 0 0; }
  .js-stools .js-stools-container-filters {
    position: absolute;
    top: 100%;
    right: 0;
    z-index: 1;
    display: none;
    flex-direction: column;
    padding: 10px;
    margin: 0;
    background-color: #fff;
    border: 1px solid var(--border);
    border-radius: 0 0 0 none;
    box-shadow: -1px 1px 4px rgba(0, 0, 0, 0.05); }
    .js-stools .js-stools-container-filters .custom-select {
      width: 100%;
      max-width: none; }
    .js-stools .js-stools-container-filters.js-filters-show {
      display: flex; }
    .js-stools .js-stools-container-filters .chzn-container-single {
      display: block; }
      .js-stools .js-stools-container-filters .chzn-container-single .chzn-single {
        display: block;
        font-size: 1rem; }
  .js-stools .js-stools-field-filter .custom-select.active {
    color: var(--white);
    background: var(--white-offset) url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 4 5'%3E%3Cpath fill='%23fff' d='M2 0L0 2h4zm0 5L0 3h4z'/%3E%3C/svg%3E") no-repeat scroll right 0.75rem center/8px 10px;
    background-color: #3073bb; }
  .js-stools .js-stools-field-filter .custom-select option {
    color: #495057;
    background-color: var(--white); }
  .js-stools .js-stools-container-selector {
    margin-right: auto; }
  .js-stools .js-stools-container-bar .btn-toolbar {
    margin-bottom: 8px; }
  .js-stools .js-stools-container-bar .input-append {
    margin-bottom: 0; }

.js-stools-button-sort {
  cursor: pointer;
  background: none;
  border: 0; }

.wrapper {
  transition: all .3s ease; }
  @media (max-width: 991.98px) {
    .wrapper {
      padding-left: 0; } }

.sidebar-wrapper {
  position: relative;
  top: 0;
  z-index: 1041;
  display: flex;
  flex-direction: column;
  flex: 1 0 250px;
  max-width: 250px;
  background-color: var(--sidebar-bg);
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.25);
  transition: all .3s ease;
  overflow: hidden; }
  .sidebar-wrapper .main-brand {
    padding: 15px;
    margin-top: auto; }

.menu-toggle-icon {
  width: 55px;
  font-size: 1.7rem; }

.main-nav {
  width: 250px;
  opacity: 1; }
  .main-nav li {
    color: var(--sidebar-text-color);
    list-style-type: none; }
  .main-nav a {
    position: relative;
    color: var(--sidebar-link-color); }
    .main-nav a:hover {
      color: var(--sidebar-link-color-hover);
      text-decoration: none; }
  .main-nav > li > ul {
    background-color: var(--sidebar-sub-bg); }
  .main-nav > li > a {
    display: block;
    padding: 10px 6px; }
    .main-nav > li > a:hover {
      background-color: rgba(0, 0, 0, 0.4); }
  .main-nav > li.active > a {
    background-color: rgba(0, 0, 0, 0.4); }
    .main-nav > li.active > a::before {
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      width: 3px;
      content: "";
      background-color: var(--primary); }
  .main-nav ul {
    padding: 0; }
    .main-nav ul li {
      position: relative; }
    .main-nav ul a {
      display: block;
      padding: 4px 5px 4px 34px;
      color: var(--sidebar-child-link-color); }
      .main-nav ul a:hover {
        color: #fff;
        background-color: rgba(0, 0, 0, 0.4); }
      .main-nav ul a.active {
        color: #fff;
        background-color: var(--primary); }
      .main-nav ul a::before {
        position: absolute;
        top: 12px;
        left: 18px;
        width: .5rem;
        height: .5rem;
        content: "";
        background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCA1MTIgNTEyIiBmaWxsPSJ3aGl0ZSI+PHBhdGggZD0iTTI1NiA4QzExOSA4IDggMTE5IDggMjU2czExMSAyNDggMjQ4IDI0OCAyNDgtMTExIDI0OC0yNDhTMzkzIDggMjU2IDh6bTAgNDQ4Yy0xMTAuNSAwLTIwMC04OS41LTIwMC0yMDBTMTQ1LjUgNTYgMjU2IDU2czIwMCA4OS41IDIwMCAyMDAtODkuNSAyMDAtMjAwIDIwMHoiLz48L3N2Zz4=");
        opacity: .5; }
    .main-nav ul .has-arrow::after {
      top: 16px;
      width: .4rem;
      height: .4rem;
      border-color: var(--sidebar-text-color); }
    .main-nav ul ul a {
      padding-left: 50px; }
    .main-nav ul ul a::before {
      left: 34px; }
  .main-nav .divider,
  .main-nav .menuitem-group {
    list-style: none; }
    .main-nav .divider a::before,
    .main-nav .menuitem-group a::before {
      display: none; }
  .main-nav .divider {
    height: 1px;
    margin: 4px 18px;
    background-color: var(--sidebar-text-color);
    opacity: .2; }
  .main-nav .menuitem-group {
    margin-top: 10px;
    font-size: .75rem;
    text-transform: uppercase;
    letter-spacing: 2px; }
  .main-nav .collapse {
    display: none; }
  .main-nav .collapse.in {
    display: block; }
  .main-nav .collapsing {
    position: relative;
    height: 0;
    overflow: hidden;
    transition-timing-function: ease;
    transition-duration: .35s;
    transition-property: height, visibility; }
  .main-nav .has-arrow::after {
    position: absolute;
    top: 21px;
    right: 1em;
    width: .5rem;
    height: .5rem;
    color: #fff;
    content: "";
    border-color: initial;
    border-style: solid;
    border-width: 1px 0 0 1px;
    transition: all .3s ease-out;
    -webkit-transform: rotate(-45deg) translate(0, -50%);
            transform: rotate(-45deg) translate(0, -50%);
    -webkit-transform-origin: top;
            transform-origin: top; }
  .main-nav .active > .has-arrow::after {
    -webkit-transform: rotate(-135deg) translate(0, -50%);
            transform: rotate(-135deg) translate(0, -50%); }
  .main-nav .fa {
    position: relative;
    top: -1px;
    display: inline-block;
    margin: 0 5px;
    font-size: 1.1rem;
    text-align: center;
    vertical-align: middle; }

.closed .sidebar-wrapper {
  flex: 1 0 48px;
  max-width: 48px; }

.closed .sidebar-item-title,
.closed .has-arrow::after {
  display: none; }

.closed .main-nav > li > ul {
  height: 0;
  padding: 0;
  visibility: hidden; }

.sidebar-nav ul {
  padding-left: .5rem; }

.sidebar-nav li {
  margin-bottom: .5rem;
  font-size: .9rem;
  font-weight: 700; }
  .sidebar-nav li.nav-header {
    padding: .5rem 0 .2rem;
    margin-bottom: .2rem;
    font-size: .9rem;
    color: #495057;
    border-bottom: 1px solid #ced4da; }
  .sidebar-nav li.divider {
    margin: .3rem 0; }
  .sidebar-nav li a {
    color: #23558a; }

.subhead {
  position: -webkit-sticky;
  position: sticky;
  top: 0;
  right: 0;
  left: 0;
  z-index: 1040;
  width: auto;
  min-height: 43px;
  padding: 13px 0;
  color: #0c192e;
  background: var(--main-bg); }
  .subhead .row {
    margin-right: 0;
    margin-left: 0; }
  .subhead .btn-toolbar {
    margin-bottom: 0; }
    .subhead .btn-toolbar > * {
      margin-left: .75rem;
      box-shadow: 0 1px 2px rgba(0, 0, 0, 0.25); }
      .subhead .btn-toolbar > *:first-child {
        margin-left: 0; }
  .subhead .btn {
    padding: 0 22px;
    font-size: 1rem;
    line-height: 2.3rem; }
    .subhead .btn [class^='icon-'],
    .subhead .btn [class*=' icon-'],
    .subhead .btn [class^='fa-'],
    .subhead .btn [class*=' fa-'] {
      z-index: -1;
      display: inline-block;
      width: 38px;
      height: auto;
      margin: 0 16px 0 -22px;
      line-height: 2.3rem;
      color: var(--white);
      background-color: rgba(0, 0, 0, 0.2); }
    .subhead .btn[disabled], .subhead .btn.dropdown-toggle[disabled] {
      background-color: #6f7780;
      border-color: #6f7780; }
  .subhead .dropdown-toggle.btn {
    background-color: rgba(0, 0, 0, 0.2); }
  .subhead .dropdown-toggle.btn-primary {
    background-color: #285f9b; }
  .subhead .dropdown-toggle.btn-success {
    background-color: #245f26; }
  .subhead .dropdown-toggle.btn-info {
    background-color: #0c616e; }
  .subhead .dropdown-toggle.btn-danger {
    background-color: #a32120; }

.treeselect {
  display: block;
  padding-left: 0;
  list-style: none; }
  .treeselect .nav-header {
    font-weight: 700;
    color: #212529; }
  .treeselect li {
    position: relative;
    display: block;
    line-height: 2.2rem;
    list-style: none; }
    .treeselect li::before {
      position: absolute;
      top: 14px;
      left: 25px;
      width: 10px;
      height: 1px;
      margin: auto;
      content: "";
      background-color: rgba(0, 0, 0, 0.2); }
    .treeselect li::after {
      position: absolute;
      top: 0;
      bottom: 0;
      left: 25px;
      width: 1px;
      height: 100%;
      content: "";
      background-color: rgba(0, 0, 0, 0.2); }
    .treeselect li:last-child::after {
      height: 14px; }
    .treeselect li li {
      padding-left: 40px; }
  .treeselect > li::before,
  .treeselect > li::after {
    display: none; }
  .treeselect .icon- {
    display: none; }
  .treeselect .treeselect-toggle {
    display: inline-block;
    padding: 0;
    margin-right: .1rem;
    text-align: center;
    cursor: pointer; }
  .treeselect .treeselect-menu {
    display: inline-block; }
  .treeselect .treeselect-item {
    display: inline-block; }
    .treeselect .treeselect-item input {
      position: relative;
      top: 1px;
      margin-right: .2rem; }
    .treeselect .treeselect-item label {
      margin-bottom: 0; }
  .treeselect .dropdown-toggle {
    padding: 0 .5rem .3rem;
    margin-left: .5rem; }
    .treeselect .dropdown-toggle::after {
      margin-left: 0;
      font-size: 1rem;
      color: #495057; }

.treeselect-sub {
  padding-left: 0; }

.tree-holder ul ul li::before,
.tree-holder ul ul li::after {
  left: 8px;
  display: block; }

.tree-holder ul ul li::before {
  top: 12px; }

.tree-holder ul ul li:last-child::after {
  height: 12px; }

.tree-holder li {
  line-height: 1.8rem; }
  .tree-holder li li {
    padding-left: 20px; }

.element-invisible {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border: 0;
  -webkit-clip-path: inset(50%);
          clip-path: inset(50%); }

.hidden {
  display: none;
  visibility: hidden; }

.awesomplete {
  display: block; }

.badge {
  border-radius: 1.2rem; }

.btn-primary {
  color: #fff;
  background-color: #3073bb;
  border-color: #3073bb; }
  .btn-primary:hover {
    background-color: #28609d;
    color: #fff;
    border-color: #265a92; }
  .btn-primary:focus, .btn-primary.focus {
    box-shadow: 0 0 0 0.2rem rgba(48, 115, 187, 0.5), 0 1px 2px rgba(0, 0, 0, 0.25); }

.btn-secondary {
  color: #fff;
  background-color: #6f7780;
  border-color: #6f7780; }
  .btn-secondary:hover {
    background-color: #5d646c;
    color: #fff;
    border-color: #575e65; }
  .btn-secondary:focus, .btn-secondary.focus {
    box-shadow: 0 0 0 0.2rem rgba(111, 119, 128, 0.5), 0 1px 2px rgba(0, 0, 0, 0.25); }

.btn-success {
  color: #fff;
  background-color: #2f7d32;
  border-color: #2f7d32; }
  .btn-success:hover {
    background-color: #256127;
    color: #fff;
    border-color: #215823; }
  .btn-success:focus, .btn-success.focus {
    box-shadow: 0 0 0 0.2rem rgba(47, 125, 50, 0.5), 0 1px 2px rgba(0, 0, 0, 0.25); }

.btn-info {
  color: #fff;
  background-color: #108193;
  border-color: #108193; }
  .btn-info:hover {
    background-color: #0c6371;
    color: #fff;
    border-color: #0b5965; }
  .btn-info:focus, .btn-info.focus {
    box-shadow: 0 0 0 0.2rem rgba(16, 129, 147, 0.5), 0 1px 2px rgba(0, 0, 0, 0.25); }

.btn-warning {
  color: #fff;
  background-color: #b35900;
  border-color: #b35900; }
  .btn-warning:hover {
    background-color: #8d4600;
    color: #fff;
    border-color: #804000; }
  .btn-warning:focus, .btn-warning.focus {
    box-shadow: 0 0 0 0.2rem rgba(179, 89, 0, 0.5), 0 1px 2px rgba(0, 0, 0, 0.25); }

.btn-danger {
  color: #fff;
  background-color: #c52827;
  border-color: #c52827; }
  .btn-danger:hover {
    background-color: #a52221;
    color: #fff;
    border-color: #9a1f1f; }
  .btn-danger:focus, .btn-danger.focus {
    box-shadow: 0 0 0 0.2rem rgba(197, 40, 39, 0.5), 0 1px 2px rgba(0, 0, 0, 0.25); }

.btn-light {
  color: #212529;
  background-color: #f8f9fa;
  border-color: #f8f9fa; }
  .btn-light:hover {
    background-color: #e2e6ea;
    color: #212529;
    border-color: #dae0e5; }
  .btn-light:focus, .btn-light.focus {
    box-shadow: 0 0 0 0.2rem rgba(248, 249, 250, 0.5), 0 1px 2px rgba(0, 0, 0, 0.25); }

.btn-dark {
  color: #fff;
  background-color: #212529;
  border-color: #212529; }
  .btn-dark:hover {
    background-color: #101214;
    color: #fff;
    border-color: #0a0c0d; }
  .btn-dark:focus, .btn-dark.focus {
    box-shadow: 0 0 0 0.2rem rgba(33, 37, 41, 0.5), 0 1px 2px rgba(0, 0, 0, 0.25); }

.card-body {
  background: #fff;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.25); }

.custom-select.custom-select-color-state.custom-select-success {
  color: var(--white-offset);
  background-color: #2f7d32; }
  .custom-select.custom-select-color-state.custom-select-success option {
    color: #495057;
    background-color: var(--white-offset); }

.custom-select.custom-select-color-state.custom-select-danger {
  color: var(--white-offset);
  background-color: #c52827; }
  .custom-select.custom-select-color-state.custom-select-danger option {
    color: #495057;
    background-color: var(--white-offset); }

.accordion .card-header {
  display: block;
  font-size: 0.9286rem;
  font-weight: 700;
  line-height: 1.2; }

.accordion .list-group-item {
  color: var(--primary); }

.btn-group .dropdown-menu {
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.25); }
  .btn-group .dropdown-menu [class^='icon-'],
  .btn-group .dropdown-menu [class*=' icon-'] {
    margin-right: .25rem; }

.dropdown-menu {
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.25); }

.dropdown-item {
  cursor: pointer; }

.btn-primary + .dropdown-menu .dropdown-item:hover, .btn-primary + .dropdown-menu
.dropdown-item:focus {
  background-color: #3073bb; }

.btn-secondary + .dropdown-menu .dropdown-item:hover, .btn-secondary + .dropdown-menu
.dropdown-item:focus {
  background-color: #6f7780; }

.btn-success + .dropdown-menu .dropdown-item:hover, .btn-success + .dropdown-menu
.dropdown-item:focus {
  background-color: #2f7d32; }

.btn-danger + .dropdown-menu .dropdown-item:hover, .btn-danger + .dropdown-menu
.dropdown-item:focus {
  background-color: #c52827; }

.btn-info + .dropdown-menu .dropdown-item:hover,
.dropdown-status-group .dropdown-menu .dropdown-item:hover, .btn-info + .dropdown-menu
.dropdown-item:focus,
.dropdown-status-group .dropdown-menu
.dropdown-item:focus {
  background-color: #108193; }

.dropdown-item + .dropdown-item {
  border-top: 1px solid rgba(0, 0, 0, 0.1); }

.list-group-item {
  background-color: var(--white-offset); }

.list-unstyled .list-unstyled {
  padding-left: 20px; }

.jviewport-height10 {
  height: 10vh; }

.jviewport-height20 {
  height: 20vh; }

.jviewport-height30 {
  height: 30vh; }

.jviewport-height40 {
  height: 40vh; }

.jviewport-height50 {
  height: 50vh; }

.jviewport-height60 {
  height: 60vh; }

.jviewport-height70 {
  height: 70vh; }

.jviewport-height80 {
  height: 80vh; }

.jviewport-height90 {
  height: 90vh; }

.jviewport-height100 {
  height: 100vh; }

[class*=jviewport-height] iframe {
  height: 100%; }

.modal-dialog.jviewport-width10 {
  width: 10vw; }

.modal-dialog.jviewport-width20 {
  width: 20vw;
  max-width: none; }

.modal-dialog.jviewport-width30 {
  width: 30vw;
  max-width: none; }

.modal-dialog.jviewport-width40 {
  width: 40vw;
  max-width: none; }

.modal-dialog.jviewport-width50 {
  width: 50vw;
  max-width: none; }

.modal-dialog.jviewport-width60 {
  width: 60vw;
  max-width: none; }

.modal-dialog.jviewport-width70 {
  width: 70vw;
  max-width: none; }

.modal-dialog.jviewport-width80 {
  width: 80vw;
  max-width: none; }

.modal-dialog.jviewport-width90 {
  width: 90vw;
  max-width: none; }

.modal-dialog.jviewport-width100 {
  width: 100vw;
  max-width: none; }

.nav.nav-tabs {
  flex-wrap: unset;
  align-items: stretch;
  justify-content: space-around;
  padding: 0;
  margin: 0 0 1rem;
  text-align: center;
  background-color: var(--primary); }
  @media (max-width: 767.98px) {
    .nav.nav-tabs {
      flex-direction: column; } }
  .nav.nav-tabs .nav-item {
    width: 100%;
    margin-bottom: 0;
    margin-left: 0; }
  .nav.nav-tabs .nav-link {
    position: relative;
    height: 100%;
    padding: .75em 1em;
    color: #fff;
    box-shadow: -1px 0 0 rgba(0, 0, 0, 0.1); }

.nav-tabs + .tab-content {
  padding: 0;
  background: transparent;
  border: 0; }

.pagination {
  margin: 1rem; }

.table thead th,
.table thead td {
  font-weight: 400;
  color: #343a40;
  white-space: nowrap; }

.table thead td {
  padding: 0; }

.table thead a {
  font-weight: 400;
  color: #343a40; }

.table tbody {
  background-color: var(--white); }

.table th,
.table td {
  vertical-align: middle; }
  .table th label,
  .table td label {
    margin-bottom: 0; }

.table td {
  padding: 18px 12px; }

.chosen-container.chosen-container-single {
  max-width: 240px;
  font-size: 1rem; }
  .chosen-container.chosen-container-single .chosen-single {
    display: inline-block;
    height: calc(1.5em + 1.2rem + 2px);
    padding: 0.81rem 2rem 0.81rem 1rem;
    line-height: 1.5;
    color: #495057;
    vertical-align: middle;
    background: var(--white-offset) url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 4 5'%3e%3cpath fill='%23343a40' d='M2 0L0 2h4zm0 5L0 3h4z'/%3e%3c/svg%3e") no-repeat right 1rem center;
    background-image: none \9;
    background-size: 8px 10px;
    border: 1px solid #ced4da;
    box-shadow: none;
    -moz-appearance: none;
    -webkit-appearance: none;
    border-radius: 0; }
    .chosen-container.chosen-container-single .chosen-single abbr {
      top: 10px; }
    .chosen-container.chosen-container-single .chosen-single:focus {
      border-color: #8ab4e1;
      outline: none; }
    .chosen-container.chosen-container-single .chosen-single:disabled {
      color: #6f7780;
      cursor: not-allowed;
      background-color: #e9ecef; }
    .chosen-container.chosen-container-single .chosen-single div b {
      background: none !important; }
  .chosen-container.chosen-container-single .chosen-drop {
    background: var(--white-offset);
    border: 1px solid #ced4da; }
  .chosen-container.chosen-container-single .chosen-results li {
    line-height: calc(1rem + .3rem); }
  .chosen-container.chosen-container-single.chosen-container-active .chosen-single {
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0; }

.chosen-container.chosen-container-multi .chosen-choices {
  max-width: 240px;
  min-height: calc(1.5em + 1.2rem + 2px);
  font-size: 1rem;
  line-height: 1.5;
  background-image: var(--white); }
  .chosen-container.chosen-container-multi .chosen-choices li.search-choice {
    padding: 5px 33px 5px 10px;
    color: var(--white);
    background: var(--primary);
    border: 0;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.25);
    border-radius: 0; }
    .chosen-container.chosen-container-multi .chosen-choices li.search-choice .search-choice-close {
      top: 0;
      right: 0;
      background: rgba(0, 0, 0, 0.2);
      width: 20px;
      height: 100%;
      background-image: none !important; }
      .chosen-container.chosen-container-multi .chosen-choices li.search-choice .search-choice-close::before {
        position: absolute;
        top: 6px;
        right: 5px;
        content: "\00d7";
        color: var(--white);
        font-size: 1rem; }

.chosen-container-active.chosen-with-drop .chosen-single {
  box-shadow: none; }

.chosen-container-single {
  width: auto !important; }

.card .chosen-container.chosen-container-single {
  width: 100% !important; }
  .card .chosen-container.chosen-container-single .chosen-single {
    width: 100% !important; }

.choices__list--dropdown {
  z-index: 10; }

.choices__button_joomla {
  position: relative;
  text-indent: -9999px;
  cursor: pointer;
  background: none;
  border: 0;
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none; }
  .choices__button_joomla::before {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    display: block;
    text-align: center;
    text-indent: 0;
    content: "\00d7"; }
  .choices__button_joomla:focus {
    outline: none; }

.choices[data-type*="select-one"] .choices__button_joomla {
  position: absolute;
  top: 50%;
  right: 0;
  width: 20px;
  height: 20px;
  padding: 0;
  margin-top: -10px;
  margin-right: 25px;
  border-radius: 10em;
  opacity: .5; }
  .choices[data-type*="select-one"] .choices__button_joomla:hover, .choices[data-type*="select-one"] .choices__button_joomla:focus {
    opacity: 1; }
  .choices[data-type*="select-one"] .choices__button_joomla:focus {
    box-shadow: 0 0 0 2px #00bcd4; }

.choices[data-type*="select-one"][dir="rtl"] .choices__button_joomla {
  right: auto;
  left: 0;
  margin-right: 0;
  margin-left: 25px; }

.choices[data-type*="select-multiple"] .choices__button_joomla,
.choices[data-type*="text"] .choices__button_joomla {
  position: relative;
  display: inline-block;
  width: 8px;
  padding-left: 16px;
  margin-top: 0;
  margin-right: -4px;
  margin-bottom: 0;
  margin-left: 8px;
  line-height: 1;
  border-left: 1px solid #008fa1;
  opacity: .75; }
  .choices[data-type*="select-multiple"] .choices__button_joomla:hover, .choices[data-type*="select-multiple"] .choices__button_joomla:focus,
  .choices[data-type*="text"] .choices__button_joomla:hover,
  .choices[data-type*="text"] .choices__button_joomla:focus {
    opacity: 1; }
  .choices[data-type*="select-multiple"] .choices__button_joomla::before,
  .choices[data-type*="text"] .choices__button_joomla::before {
    color: #fff; }

.gu-mirror {
  position: fixed !important;
  z-index: 9999 !important;
  margin: 0 !important;
  cursor: move;
  background-color: #20c997 #90ee90;
  opacity: .8; }
  .gu-mirror.table {
    display: table; }
    .gu-mirror.table td {
      display: table-cell; }

.js-draggable .sortable-handler {
  cursor: move; }

.minicolors-theme-bootstrap .minicolors-input {
  width: 120px; }

.minicolors-theme-bootstrap .rgb {
  width: 175px; }

.minicolors-theme-bootstrap .rgba {
  width: 220px; }

.editor .toggle-editor {
  margin-top: 1rem; }

.editor .mce-tinymce {
  border: 1px solid var(--primary-dark); }

.editor .mce-btn,
.editor .mce-panel {
  background: var(--white-offset); }

.sysinfo .table {
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.25); }
  .sysinfo .table th {
    font-weight: bold; }

.com_config .content {
  background-color: transparent; }

.com_config [class^='col-'] > fieldset {
  margin-bottom: 2rem; }

.com_config .rule-notes,
.com_config .filter-notes {
  padding: 1em;
  background-color: #fff; }

.com-cpanel-help .list-group-item, .com-cpanel-system .list-group-item {
  padding: 0; }
  .com-cpanel-help .list-group-item a, .com-cpanel-system .list-group-item a {
    display: block;
    padding: 0.75rem 1.25rem; }

.com-cpanel-help__header {
  color: var(--primary-dark); }

.com-cpanel-help a {
  color: #343a40; }

.com-cpanel-help h2 {
  font-size: 1rem; }

.com-cpanel-help .list-group {
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.25); }

.com-cpanel-system {
  -webkit-column-count: 4;
          column-count: 4; }
  .com-cpanel-system__category {
    margin-bottom: 1.5em;
    -webkit-column-break-inside: avoid;
    page-break-inside: avoid;
    break-inside: avoid; }
  .com-cpanel-system__header {
    color: var(--primary-dark); }
    .com-cpanel-system__header span {
      margin-right: 5px; }
  .com-cpanel-system a {
    color: #343a40; }
  .com-cpanel-system h2 {
    font-size: 1rem; }
  .com-cpanel-system .list-group {
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.25); }
  @media (max-width: 991.98px) {
    .com-cpanel-system {
      -webkit-column-count: 2;
              column-count: 2; } }
  @media (max-width: 767.98px) {
    .com-cpanel-system {
      -webkit-column-count: 1;
              column-count: 1; } }

.com_cpanel .content {
  margin-top: 0; }

.com_cpanel .card p:first-of-type {
  margin-top: 0; }

.com_cpanel .card p:last-child {
  margin-bottom: 0; }

.com_cpanel .card .list-group, .com_cpanel .card .table {
  background-color: #fff;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.25); }
  .com_cpanel .card .list-group > .published, .com_cpanel .card .table > .published {
    padding-left: .9rem;
    border-left: 5px solid var(--success); }
  .com_cpanel .card .list-group > .unpublished, .com_cpanel .card .table > .unpublished {
    padding-left: .9rem;
    border-left: 5px solid var(--danger); }

.com_cpanel .card-header {
  padding-left: 0;
  font-size: 0.9286rem;
  color: var(--primary-dark); }

.com_cpanel .module-actions {
  position: absolute;
  top: 0;
  right: 0;
  z-index: 2; }
  .com_cpanel .module-actions > a {
    display: inline-block;
    width: 2.6em;
    height: 2.6em;
    line-height: 2.6em;
    color: var(--primary-dark);
    text-align: center; }

.menu-assignment {
  position: relative; }
  .menu-assignment .menu-links {
    padding-left: 0;
    margin-top: 15px;
    margin-left: 0;
    -webkit-column-count: 3;
            column-count: 3;
    -webkit-column-gap: 15px;
            column-gap: 15px; }
    .menu-assignment .menu-links > li {
      width: 100%;
      margin-bottom: 15px;
      vertical-align: top;
      list-style: none;
      -webkit-backface-visibility: hidden;
              backface-visibility: hidden;
      column-break-inside: avoid;
      page-break-inside: avoid; }
  .menu-assignment .menu-links-block {
    padding: 15px;
    background-color: #fafafa;
    border: 1px solid #ddd;
    border-radius: 3px; }
  .menu-assignment label {
    display: block; }
    .menu-assignment label input {
      position: relative;
      top: 2px; }

@media (max-width: 767px) {
  .menu-assignment .menu-links {
    -webkit-column-count: auto;
            column-count: auto; } }

.com_users.view-debuggroup thead th, .com_users.view-debuguser thead th {
  white-space: normal; }

.com_users.view-debuggroup .legend, .com_users.view-debuguser .legend {
  margin: 1rem 1rem 0; }

.com_users.view-mail .form-control {
  max-width: 100%; }

.container-main,
.system-debug {
  padding-bottom: 50px; }

.container-main {
  position: relative;
  min-height: calc(100vh - 55px);
  background-color: var(--main-bg); }

.list-view-main .container-main {
  background-color: var(--main-bg); }

.content {
  padding-top: 15px;
  border-radius: none; }
  .content > .row {
    margin-right: 0;
    margin-left: 0; }
  .subhead + .content {
    padding-top: 0; }

.row-selected {
  background-color: var(--row-selected); }

.chzn-container-single {
  width: auto !important; }

.item-associations {
  padding: 0; }

.item-associations li {
  display: inline-block;
  list-style: none; }

.message-alert {
  text-align: right !important; }
